﻿Public Class frmTap

    Private Sub MenuItem3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem3.Click
        Application.Exit()
    End Sub

    Private Sub frmTap_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Call StartUp()
        Call pctDraw_Resize(sender, e)
        Call Tap2Start()
    End Sub

    Private Sub pctDraw_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles pctDraw.MouseDown
        If WaitForFirstTap = False Then
            Dim TempPos As Point
            TempPos.X = Math.Min(Int((e.X - (pctDraw.Width / 2 - PlayFieldSize.Width / 2)) / ClickFieldSize.Width), 3)
            TempPos.Y = Math.Min(Int(e.Y / ClickFieldSize.Height), 3)

            If PlayMatrix(TempPos.X, TempPos.Y) = True Then
                PlayMatrix(TempPos.X, TempPos.Y) = False
                ClickCount += 1
                tempTapTime = System.Environment.TickCount - TickPrint
                If tempTapTime < 0 Then
                    TickRounds += 1
                End If
                tempTapTime += Integer.MaxValue * TickRounds + Integer.MaxValue * TickRounds + 1 * TickRounds

                FastestTap = Math.Min(tempTapTime - lastTapTime, FastestTap)

                lastTapTime = tempTapTime

                Call SetLED()
                Call PreDraw()
                Call DrawToSurface()
            End If
        Else
            WaitForFirstTap = False
            Call NewGame()
        End If
    End Sub

    Private Sub pctDraw_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles pctDraw.Resize
        If IsStartUp = True Then
            LineHeight = BackBuffer.MeasureString(vbNewLine, Me.Font).Height

            PlayFieldSize.Width = Math.Min(pctDraw.Width, pctDraw.Height - LineHeight * 2)
            PlayFieldSize.Height = PlayFieldSize.Width

            ClickFieldSize.Width = PlayFieldSize.Width / 4
            ClickFieldSize.Height = ClickFieldSize.Width

            Call CreateBackBuffer()

            If WaitForFirstTap = False Then
                Call PreDraw()
                Call DrawToSurface()
            Else
                Call Tap2Start()
            End If
        End If
    End Sub

    Private Sub MenuItem5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem5.Click
        Call NewGame()
    End Sub
End Class
