﻿Module mdlGame
    Public Sub NewGame()
        For I = 0 To 3
            For J = 0 To 3
                PlayMatrix(I, J) = False
            Next
        Next
        ClickCount = 0
        FastestTap = 99999

        Call DrawCountDown()
        TickPrint = System.Environment.TickCount
        lastTapTime = 0

        TickRounds = 0
        Call SetLED()
        Call PreDraw()
        Call DrawToSurface()
    End Sub

    Public Sub Tap2Start()
        Dim tempString As String
        Dim tempSize As Size

        WaitForFirstTap = True

        Call BackBufferPlay.Clear(Color.Black)
        tempString = "Tap to start"
        tempSize = BackBufferPlay.MeasureString(tempString, frmTap.Font).ToSize
        Call BackBufferPlay.DrawString(tempString, frmTap.Font, New SolidBrush(Color.White), PlayFieldSize.Width / 2 - tempSize.Width / 2, PlayFieldSize.Height / 2 - tempSize.Height / 2)
        Call DrawToSurface()
    End Sub

    Public Sub SetLED()
        Dim RandomNum As New Random
        Dim TempPos As Point

        TempPos = IDToFieldPoint(RandomNum.Next(0, 16))

        PlayMatrix(TempPos.X, TempPos.Y) = True
    End Sub

    Public Function FieldPointToID(ByVal X As Byte, ByVal Y As Byte) As Byte
        Return Y * 4 + X
    End Function

    Public Function IDToFieldPoint(ByVal ID As Byte) As Point
        IDToFieldPoint.Y = Int(ID / 4)
        IDToFieldPoint.X = ID Mod 4
    End Function
End Module
